#ifndef LIBC_H
#define LIBC_H
/*
 * declarations of (supposedly) standard C library functions and types.
 * we don't declare functions that once returned int but may now return void
 * to avoid fatal but spurious compilation errors.  VOID is an attempt to deal
 * with this transition.
 *
 * The function declarations need to be prototyped to give ansi compilers
 * less gastric distress.
 */

#ifndef VOID
#define VOID void
#endif

/* Unix system calls */
#ifdef __STDC__
extern int execv(char *, char **), execl(char *, char *, ...);
extern int execve(char *, char **, char **), execle(char *, char *, ...);
#endif
extern time_t time();			/* sys/timeb.h? time.h sez POSIX */

extern int errno;			/* errno.h */
extern char **environ;

#include <string.h>

#ifdef A_STABLE_WORLD
extern VOID rewind();			/* stdio.h */
extern VOID exit();			/* stdio.h */
#endif					/* A_STABLE_WORLD */
extern FILE *popen();			/* stdio.h */
/* stdio.h is supposed to declare *printf */

/* these unfortunately cannot be relied upon to be in the right header */
extern struct passwd *getpwnam();	/* pwd.h */
extern struct group *getgrnam();	/* grp.h */
extern char *ctime();			/* time.h */

extern long atol();
extern char *mktemp();
extern char *getenv();

extern int optind;
extern char *optarg;

#include "alloc.h"			/* ugh */
#endif					/* LIBC_H */
